
ChiliProject - Bug # 821: Autologin does not work

Status: Open Priority: Normal
Author: Vladislav Poluhin Category: User accounts
Created: 2012-01-09 Assignee:
Updated: 2012-06-14 Due date:
Remote issue URL:
Affected version: 2.6.0
Description: I have to be authorized each time I open the browser. Despite autologin checked at the authorization page.

History
2012-01-18 05:38 pm - Holger Just
Currently, the autologin feature allows only one browser to autologin. If you use the feature on multiple brosers, it will fail when you switch browsers. 
Also, you need to preserve static cookies during browser restarts. Some browsers delete all cookies during restart which will defeat the autologin 
feature.

Could you please verify both points?

2012-01-18 05:38 pm - Holger Just
- Status changed from Open to Needs more information

2012-01-18 05:44 pm - Holger Just
Oh, and as a test, could you try to comment the three autologin settings in your configuration.yml so it looks like this (notice the hash comments):

<pre>
# default configuration options for all environments
default:
  # [...]

  # autologin_cookie_name:
  # autologin_cookie_path:
  # autologin_cookie_secure:
</pre>

2012-01-19 03:41 pm - Vladislav Poluhin
> Currently, the autologin feature allows only one browser to autologin. If you use the feature on multiple brosers, it will fail when you switch browsers. 

# Open in browser http://dev.u-mind.ru
# Auth as demo:password with checked autologin
# Host set cookies:
## @(without name)@ expires in 2013 year
## @_chiliproject_session@ expires after Session
# Close browser
# Open browser again
# I'm at login page

2012-01-19 03:45 pm - Vladislav Poluhin
Besides the same is with your host https://www.chiliproject.org

2012-01-19 03:54 pm - Vladislav Poluhin
This is solves problem:

2020-10-25 1/2



<pre>
default:
  autologin_cookie_name: "autologin" 
</pre> 

But there is a question: why this value is equal to "" in configuration on default?

2012-01-21 05:19 am - Vladislav Poluhin
Please make it impossible to use the empty cookie names at the code.

2012-04-11 08:24 am - Vladislav Poluhin
Bug still exists at 3.1.

2012-06-14 01:24 pm - Ilya Turkin
- Status changed from Needs more information to Open

Holger Just wrote:
> Oh, and as a test, could you try to comment the three autologin settings in your configuration.yml so it looks like this (notice the hash comments):
> 
> [...]

Yes, it is.

The same issue with this site. 
